Gives the result of the 3D Secure App Authentication
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The reference of the wallet the 3DS authentication is being actioned on |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| threeDSTransactionID | String | ✓ | The original transactionID that was supplied to the client in the 3DSecureAppAuthentication message | |
| status | String | ✓ | 0 – fully authenticated; 1 – authentication failed; 2 – timeout with cardholder’s app; 3 – general error | |
| errorMessage | String | Message to be displayed to the cardholder | ||
| transactionID | String | 1-255 characters | ✓ | Will be the unique transaction id provided by the ACS |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>